Summary: Local Unified Index (Solr) 
Name: masterkey-lui-solr
Version: 0.2.0
Release: 2.indexdata
License: IndexData
Group: Applications/Internet
Vendor: Index Data ApS <info@indexdata.dk>
Source: masterkey-lui-solr-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Dennis Schafroth <dennis@indexdata.com>
URL: http://www.indexdata.dk/masterkey

%description
The Local Unified Index is a index that contains multiple logical indexes. The underlying index is a Solr/lucene index configured to use a specific LUI schema. 

%package -n masterkey-lui-solr-tomcat
Summary: Local Unified Index Solr Tomcat
Requires: masterkey-lui-solr
Group: Applications/Internet

%package -n masterkey-lui-solr-tomcat6
Summary: Local Unified Index Solr Tomcat 6 integration
Requires: tomcat6 masterkey-lui-solr-tomcat
Group: Applications/Internet

#%description -n masterkey-lui-solr-initd
#The LUI is the stand-alone Solr/Lucene Index with the LUI schema

%description -n masterkey-lui-solr-tomcat 
The LUI Tomcat is part of the MasterKey suite. This package provides the LUI Tomcat context

%description -n masterkey-lui-solr-tomcat6
The LUI is part of the MasterKey suite. This package provides Tomcat 6 integration.

%prep
%setup
%build

%install
mkdir -p            ${RPM_BUILD_ROOT}/%{_datadir}/masterkey/lui/solr/war
cp -a dist/*        ${RPM_BUILD_ROOT}/%{_datadir}/masterkey/lui/solr/war
mkdir -p            ${RPM_BUILD_ROOT}/%{_datadir}/masterkey/lui/solr/conf
cp -a solr-conf/*   ${RPM_BUILD_ROOT}/%{_datadir}/masterkey/lui/solr/conf

mkdir -p                         ${RPM_BUILD_ROOT}/%{_sysconfdir}/masterkey/lui/solr
# cp -a etc/harvester.properties ${RPM_BUILD_ROOT}/%{_sysconfdir}/masterkey/lui/solr

#mkdir -p ${RPM_BUILD_ROOT}/%{_localstatedir}/log/masterkey/lui/solr
mkdir -p ${RPM_BUILD_ROOT}/%{_localstatedir}/lib/masterkey/lui/solr/data

#tomcat context
sed -e 's@docBase=".*"@docBase="%{_datadir}\/masterkey\/lui\/solr\/war\/apache-solr-3.3.0.war"@g' etc/solr-tomcat-context.xml > ${RPM_BUILD_ROOT}/%{_sysconfdir}/masterkey/lui/solr/lui-solr-context.xml

# Solr config
sed -e 's@${solr.data.dir:.*}@${solr.data.dir:%{_localstatedir}\/lib\/masterkey\/lui\/solr\/data}@g' solr-conf/solrconfig.xml > ${RPM_BUILD_ROOT}/%{_datadir}/masterkey/lui/solr/conf/solrconfig.xml

%clean
rm -fr ${RPM_BUILD_ROOT}

%post -n masterkey-lui-solr-tomcat6
ln -sf %{_sysconfdir}/masterkey/lui/solr/lui-solr-context.xml %{_sysconfdir}/tomcat6/Catalina/localhost/lui-solr.xml

%postun -n masterkey-lui-solr-tomcat6
if [ $1 = 0 ]; then
  rm -rf %{_sysconfdir}/tomcat6/Catalina/localhost/lui-solr.xml
fi

%files
%defattr(755,tomcat,tomcat)
%{_datadir}/masterkey/lui/solr
%{_localstatedir}/lib/masterkey/lui/solr
%{_localstatedir}/lib/masterkey/lui/solr/data
%attr(755,tomcat,tomcat) %dir %{_localstatedir}/lib/masterkey/lui/solr

%files -n masterkey-lui-solr-tomcat
%defattr(-,root,root)
%config %{_sysconfdir}/masterkey/lui/solr/lui-solr-context.xml

%files -n masterkey-lui-solr-tomcat6
